<template>
  <iframe
    :src="url"
    width="100%"
    style="height: calc(100vh - 100px)"
    frameborder="0"
    allowfullscreen="true"
    id="iframe"
  ></iframe>
</template>

<script>
  export default {
    props: {
      url: ''
    },
    data() {
      return {};
    },

    methods: {},
    created() {
      this.$nextTick(() => {
        setTimeout(() => {
        let dom = document.getElementById('iframe');
          console.log(dom.contentWindow.document, 'dom');
        }, 5000);
      });
    }
  };
</script>
<style scoped lang="scss"></style>
